| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEmitBox Struct Reference

Box value emitter - returns points in an (axis aligned) box. More...

`#include <imesh/emit.h>`

Inheritance diagram for iEmitBox:

[legend]
List of all members.

## Public Member Functions
virtual void | GetContent (csVector3 &min, csVector3 &max)=0
| get content
virtual void | SetContent (const csVector3 &min, const csVector3 &max)=0
| set content, min and max vector values

## Detailed Description

Box value emitter - returns points in an (axis aligned) box.

Main creators of instances implementing this interface:

- iEmitFactoryState::CreateBox()

Main users of this interface:

- iEmitState

Definition at line 92 of file emit.h.

## Member Function Documentation

virtual void iEmitBox::GetContent | ( | csVector3 & | min,
|  | csVector3 & | max |
| ) |  |  | `[pure virtual]`

get content

virtual void iEmitBox::SetContent | ( | const csVector3 & | min,
|  | const csVector3 & | max |
| ) |  |  | `[pure virtual]`

set content, min and max vector values

The documentation for this struct was generated from the following file:

- imesh/emit.h